# Config options needed for various university courses, such as:
# * Wireless IoT and Local Area Networks
# * Network Security
# * Smart Phone Sensing
{ pkgs, ... }:
{
  environment.systemPackages = with pkgs; [ ];

  programs.wireshark = {
    enable = true;
    package = pkgs.wireshark;
  };

  virtualisation = {
    podman.enable = true;
    docker = {
      enable = false;
      storageDriver = "btrfs";
    };
  };

  users.extraUsers.vivian.extraGroups = [
    # "wireshark"
    # "docker"
    # "lxd"
  ];

  programs.nix-ld = {
    enable = true;
    package = pkgs.nix-ld-rs;
    libraries = [

    ];
  };
}
